View Issue Details

IDProjectCategoryView StatusLast Update
0017805mantisbtinstallationpublic2015-09-06 17:37
ReportersyncguruAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0017805: New installation page is broken if config file exists but database is not yet created
Description

As I am working on updating the modern UI to the latest code base. I am running into few issues. This one occurs when trying make a brand new install. The install page shows a long list of errors starting with:

SYSTEM WARNING
'Invalid argument supplied for foreach()' in '/Users/Rafik/Sites/mantisbt-master/admin/install.php' line 627

Steps To Reproduce

1- In the config_inc.php, change the database name to temp name that does not exist
2- Browse to /admin/install.php

TagsNo tags attached.

Activities

dregad

dregad

2015-04-23 11:57

developer   ~0050610

There was a missing variable initialization.

Related Changesets

MantisBT: master 3e94c7a2

2015-04-23 11:51:19

dregad

Details Diff
Fix system warning + notice in install.php

These error messages appeared if the installer is run when the config
file exists but the database it references does not.

Fixes 0017805
mod - admin/install.php Diff File

Issue History

Date Modified Username Field Change
2014-10-25 12:20 syncguru New Issue
2014-10-25 12:20 syncguru Status new => assigned
2014-10-25 12:20 syncguru Assigned To => syncguru
2014-10-26 04:01 vboctor Priority high => normal
2014-10-26 04:01 vboctor Severity major => minor
2014-12-08 02:10 atrol Target Version 1.3.0-beta.1 => 1.3.0-beta.2
2015-03-15 19:59 dregad Target Version 1.3.0-beta.2 => 1.3.0-beta.3
2015-04-23 11:57 dregad Changeset attached => MantisBT master 3e94c7a2
2015-04-23 11:57 dregad Assigned To syncguru => dregad
2015-04-23 11:57 dregad Status assigned => resolved
2015-04-23 11:57 dregad Resolution open => fixed
2015-04-23 11:57 dregad Fixed in Version => 1.3.0-beta.3
2015-04-23 11:57 dregad Note Added: 0050610
2015-09-06 17:37 vboctoradmin Status resolved => closed